Name:           newsflash
Version:        3.1.6
Release:        1%{?dist}
Summary:        Follow your favorite blogs & news sites

License:        GPL-3.0
URL:            https://gitlab.com/news-flash/news_flash_gtk
Source0:        %{url}/-/archive/v.%{version}/news_flash_gtk-v.%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  cargo
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(webkitgtk-6.0)
BuildRequires:  desktop-file-utils
BuildRequires:  openssl-devel
BuildRequires:  gettext
BuildRequires:  blueprint-compiler


%description
NewsFlash is a program designed to complement an already existing web-based
RSS reader account. It combines all the advantages of web based services like
syncing across all your devices with everything you expect from a modern
desktop program: Desktop notifications, fast search and filtering, tagging,
handy keyboard shortcutsand having access to all your articles as long as you
like.


%global debug_package %{nil}


%prep
%autosetup -n news_flash_gtk-v.%{version}


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{name}


%files -f %{name}.lang
%license LICENSE
%doc README.md
%{_datadir}/metainfo/io.gitlab.news_flash.NewsFlash.appdata.xml
%{_datadir}/icons/hicolor/symbolic/apps/io.gitlab.news_flash.NewsFlash-symbolic.svg
%{_datadir}/icons/hicolor/scalable/apps/io.gitlab.news_flash.NewsFlash.svg
%{_datadir}/applications/io.gitlab.news_flash.NewsFlash.desktop
%{_bindir}/io.gitlab.news_flash.NewsFlash


%changelog
%autochangelog 
